# Flame components

A package containing all Flame React components.

Refer to [main README](https://github.com/lightspeed/flame/blob/master/README.md#getting-started) for usage.

## Styled System Props

| Component Name     | styled-system props                                                                                                                        |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Alert              | [space](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#space)                                                             |
| Bone               | [space](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#space)                                                             |
|                    | [width](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#width)                                                             |
|                    | [bgColor](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#color)                                                           |
| Button             | [space](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#space)                                                             |
| Card               | [colors](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#color)                                                            |
| CardSection        | [space](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#space)                                                             |
| Box                | [space](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#space)                                                             |
|                    | [width](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#width)                                                             |
|                    | [fontSize](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#fontsize)                                                       |
|                    | [colors](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#color)                                                            |
| Flex (extends Box) | [flex, flexWrap, flexDirection, alignItems, justifyContent](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#flexbox)       |
| Divider            | [space](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#space)                                                             |
| Group              | [flex, justifyContent](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#flexbox)                                            |
| GroupItem          | [flex](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#flexbox)                                                            |
|                    | [width](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#width)                                                             |
| GroupAddon         | [width](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#width)                                                             |
| Logo               | [width](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#width)                                                             |
| Text               | [fontSize](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#fontsize)                                                       |
|                    | [space](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#space)                                                             |
|                    | [fontFamily, textAlign, fontWeight, letterSpacing, lineHeight](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#typography) |
|                    | textTransform (custom property that takes any `text-transform` values)                                                                     |
|                    | [fontSize](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#fontsize)                                                       |
|                    | [textColor](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#color)                                                         |
|                    | [fontSize](https://github.com/jxnblk/styled-system/blob/master/docs/api.md#fontsize)                                                       |
